# Get Payout Methods

Returns a paginated response of payout methods that match the given criteria

Endpoint: GET /v1/payout_methods
Version: 1.0.0
Security: oauth2

## Query parameters:

  - `country` (string)
    the destination country represented as two-letter ISO 3166-1 alpha-2 code

  - `partner_name` (string)
    the name of the payout partner

  - `use_case` (string)
    use case, for example: TREASURY

  - `payout_currency` (string)
    the destination currency code (ISO 4217)

  - `payout_method` (string)
    the payout method name

  - `payout_category` (string)
    payout category, for example: BANK

## Response 200 fields (application/json):

  - `content` (array)

  - `content.payout_method_id` (string, required)

  - `content.payout_partner_id` (string, required)

  - `content.payout_partner_name` (string, required)
    Example: "Tranglo"

  - `content.payout_category` (string, required)
    Example: "BANK | EWALLET | CASH_PICKUP | ATM"

  - `content.payout_method_name` (string, required)
    Example: "tranglo_bank_treasury_AU_AUD_payout"

  - `content.payout_method_display_name` (string, required)
    Example: "Tranglo treasury bank AUD payout in AT"

  - `content.payout_method_description` (string, required)
    Example: "Tranglo bank (payout category) AUD payout in Australia (AT) for treasury use case"

  - `content.payout_method_status` (string, required)
    Enum: "ACTIVE", "DELETED"

  - `content.payout_country` (string, required)
    Payout country as two-letter ISO 3166-1 Alpha-2 code
    Example: "AT"

  - `content.payout_currency` (string, required)
    Example: "AUR"

  - `content.supported_usecase` (string, required)
    Example: "TREASURY | P2P | B2B | B2C"

  - `content.rounding_rules` (object, required)
    Holds the rules used to calculate fee

  - `content.rounding_rules.payout_amount_fee_calculation_decimal_scale` (integer, required)
    When calculating percentage fees for this payout method, this the number of decimal places to round the payout amount by before multiplying by the percentage
    Example: 2

  - `content.fee_calculation_rule` (string, required)
    fee calculation rule. If set to REGULAR, find the matching range slabs, apply the percentage or fixed fee based on PayoutFeeType. A global/administrative fee can be applied on top of a slab fee.
    Enum: "REGULAR"

  - `content.payout_fees` (array, required)

  - `content.payout_fees.currency` (string, required)
    Example: "AUD"

  - `content.payout_fees.from_amount` (string, required)

  - `content.payout_fees.to_amount` (string, required)
    Example: 1000

  - `content.payout_fees.fee_amount` (string, required)
    flat value fee
    Example: 5

  - `content.payout_fees.fee_percent` (string, required)
    fee as percentage of payment
    Example: 2

  - `content.payout_fees.min_fee_amount` (string)
    minimum fee amount. Default to 0 (no minimum limit)
    Example: 25

  - `content.payout_fees.max_fee_amount` (string)
    maximum fee amount. Default to maximum number (no upper limit)
    Example: 100

  - `content.payout_fees.fee_type` (string, required)
    the calculation rule of payout fee element. By default, REGULAR. If set to AMINISTRACTIVE/GLOBAL, the fee should be applied to every transaction. If set to Hihger/Lower of Flat or Percentage fee, then the higher/lower amount of flat/pct fee will be applied
    Enum: "REGULAR", "ADMINISTRATIVE", "HIGHER_OF_FLAT_OR_PCT_FEE", "LOWER_OF_FLAT_OR_PCT_FEE"

  - `content.payout_fees.description` (string)
    description of the fee rules and other details
    Example: "Administrative/global fee, applied for each transaction"

  - `content.payout_settlement_times` (object, required)
    Holds the amount and unit of time it takes for a settlement to occur

  - `content.payout_settlement_times.settlement_time` (integer, required)

  - `content.payout_settlement_times.settlement_time_unit` (string, required)

  - `content.payout_limits` (object, required)
    Defines the limits for payouts min, max size of payment and the maximum amount per beneficiary

  - `content.payout_limits.currency` (string, required)

  - `content.payout_limits.min_payment_size` (string, required)

  - `content.payout_limits.max_payment_size` (string, required)

  - `content.payout_limits.max_amount_per_beneficiary` (string, required)

  - `content.receiver_payout_method` (string)

  - `page` (object)
    Common object for holding page details

  - `page.size` (integer, required)

  - `page.total_elements` (integer, required)

  - `page.total_pages` (integer, required)

  - `page.number` (integer, required)

## Response 401 fields (application/problem+json):

  - `status` (integer, required)

  - `errors` (array, required)

  - `errors.category` (string, required)
    Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE"

  - `errors.title` (string, required)

  - `errors.code` (string, required)

  - `errors.detail` (string, required)

  - `timestamp` (string)


